Please sync P2PP 0.6.1-4 from Debian Unstable (bug fix only)

Bug #284992 reported by bojo42 on 2008-10-17
10
Affects Status Importance Assigned to Milestone
pspp (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: pspp

Since 0.6 PSPP has a nice GUI (started with the command psppire), but the intrepid package lacks a .desktop file for a menu entry to this interface. Should be rather easy to fix :)

This is still valid for the newest package in jaunty, so it should be fixed there and then get backported for intrepid.

Changing description to:

Please sync P2PP from Debian Unstable (bug fix only)

bojo42 (bojo42) wrote :

When creating a .desktop file we should also immediately think of #285002

bojo42 (bojo42) wrote :

I did a first .desktop file, but i don't know what to do about the app-install-data-ubuntu stuff as i looked at other .desktop files of programs that are available via Add/Remove. Can someone help me out?

bojo42 (bojo42) wrote :

I have added a MIME typ for the the ".sav" files of SPSS. But i am not really sure what MIME types .sbs,.sps,.spo,.spp do have, as i have none to test. Probably is the same like with .sav, but until i am sure i won't include it.

Iulian Udrea (iulian) wrote :

Hi there,

You might want to have a look at this wiki page: https://wiki.ubuntu.com/PackagingGuide/Howtos/DesktopFiles because it's explained there everything about .desktop files.

Some notes for the current .desktop file, even though I'm no expert:
1. Remove the Encoding line because it's deprecated.
2. The Comment should start with a verb.
3. About the Categories field, please look at http://standards.freedesktop.org/menu-spec/latest/apa.html and choose a category from there.

Unfortunately this will not be fixed in Intrepid because it's too late.

I changed the status to 'Confirmed', please set it to 'In progress' and assign the bug to yourself if you're creating a patch to be included in Jaunty.

Changed in pspp:
importance: Undecided → Wishlist
status: New → Confirmed
Iulian Udrea (iulian) wrote :

I marked bug 285002 as a duplicate of this one.

bojo42 (bojo42) wrote :

okay thanks for those informations :) i corrected the .desktop file, but at the categories i only changed GNOME to GTK what is more precise, as the rest is alright.

but can't this really land in an update to intrepid's universe, as it resolves a bug that prevends users to start and find the program?

i not sure what to do about the patch for jaunty, should i do a debdiff after the debian sync is over? or is it enough to provide the .desktop file for the MOTU?

bojo42 (bojo42) wrote :

as you marked #285002 as a duplicate, does that mean the process of including this app in the Add/Remove menu is automatically done as soon a .desktop file is provided in the package? do you have some more information about that?

Iulian Udrea (iulian) wrote :

It looks better now, add a semicolon just after 'Math' in the Categories field.

No, including a .desktop file is not really important at the moment. Intrepid is now in RC freeze. In one week we release it (see https://wiki.ubuntu.com/IntrepidReleaseSchedule).

IMHO, the best way is to submit a bug report against the package in Debian's BTS, attach the .desktop file and kindly ask the maintainer of the package to include it in the next upload. If this bug isn't fixed in Debian, then you can fix it in Jaunty by providing a debdiff. This wiki page will explain you how to make a debdiff: https://wiki.ubuntu.com/PackagingGuide/Recipes/Debdiff.

Anyway, if you fix this bug in Ubuntu (Jaunty), you will also need to forward it to Debian. So I think the preferred method is to get it fixed in Debian first and then we can sync.

Yes, as far as I know, it will be in the Add/Remove menu too.

Iulian

bojo42 (bojo42) wrote :

oops added the semicolon. i also adde "mime types" for .por and .sav files, as i did get my hand on some of those and they are just "text/plain".

I also search for the "Add / Remove" app and found this http://bazaar.launchpad.net/~ubuntu-core-dev/gnome-app-install/main/annotate/632?file_id=x_Arch_Librarian_%3Carch%40canonical.com%3E_Thu_Jun_30_17%3A12%3A01_2005_10510.0 . So i added the needed keys.

On Intrepid my thought was, that an update after the release could be possible, so an updated package is waiting in universe and people that already installed it, will get the menu entry through the usual updates. This way it wouldn't take half a year for basic users to get in touch with PSPP's gui, as the free software stack is really lacking good & common guis for social scientists. I mean this wouldn't be a risky or dangerous update, as it's just a .desktop file (that with your help should now be very solid ;).

bojo42 (bojo42) wrote :

@charlie: i think a missing .desktop file is a bit to less for SRU, as read this

but i have other great news:

i contacted the great getdeb.net team (via bug report) and now we have an updated package of PSPP (0.6.1) with the .desktop file "developed" here!!!

see:
http://www.getdeb.net/app/PSPP

so the next step is to get it into debian before the sync is starting.

bojo42 (bojo42) on 2009-01-16
description: updated

so i have written to the debian maintainer a while ago and now he has included a desktop file to the package. so it would be great if we could just do a sync again and this bug would be fixed in jaunty.

BTW i am still a bit unsure what to do about an addition to "Add/Remove" but i think a sync is necessary anyway.

bojo42 (bojo42) wrote :

As i mentioned before Debian has this bug fixed, so could someone please update/sync this package. Or is it already to late for jaunty?

Charlie_Smotherman (cjsmo) wrote :

Please sync p2pp from debian/unstable, this is a bug fix only sync. Here is a copy of the changelog

 pspp (0.6.1-4) unstable; urgency=low

   * src/ui/gui/psppire-data-editor.c: prevent data sheet from traversing
     into an invalid column, per fix by John Darrington (see
     http://git.savannah.gnu.org/cgit/pspp.git/commit/?h=stable&id=47aaa033c935d0427abd7cbb591a35450eb7db81)(Closes:Bug#516521)

 -- James R. Van Zandt <email address hidden> Sat, 28 Feb 2009 22:46:51 -0500

pspp (0.6.1-3) unstable; urgency=low

   * debian/pspp.desktop: Correct name of icon file.

 -- James R. Van Zandt <email address hidden> Sat, 21 Feb 2009 20:54:26 -0500

 pspp (0.6.1-2) unstable; urgency=low

   * Install pspp.desktop file (Thanks to "Bojo 42" <email address hidden>)

 -- James R. Van Zandt <email address hidden> Fri, 20 Feb 2009 20:18:02 -0500

Subscribing Universe sponsors, changing status to new

Changed in pspp (Ubuntu):
status: Confirmed → New
description: updated
Václav Šmilauer (eudoxos) wrote :

Debian's 0.6.1-4 for jaunty will be available form my PPA in a few minutes: https://launchpad.net/~eudoxos/+archive/ppa

Iain Lane (laney) on 2009-04-16
summary: - [jaunty] No Entry in Applications Menu for the GUI
+ Please sync P2PP 0.6.1-4 from Debian Unstable (bug fix only)
Scott Kitterman (kitterman) wrote :

motu-release ack.

Iain Lane (laney) wrote :

sponsor ACK

Changed in pspp (Ubuntu):
status: New → Confirmed
Colin Watson (cjwatson) wrote :

[Updating] pspp (0.6.1-1 [Ubuntu] < 0.6.1-4 [Debian])
 * Trying to add pspp...
  - <pspp_0.6.1-4.diff.gz: downloading from http://ftp.debian.org/debian/>
  - <pspp_0.6.1.orig.tar.gz: already in distro - downloading from librarian>
  - <pspp_0.6.1-4.dsc: downloading from http://ftp.debian.org/debian/>
I: pspp [universe] -> pspp_0.6.1-1 [universe].

Changed in pspp (Ubuntu):
status: Confirmed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers